# controller Class Reference

Gère l'affichage des pages en fonction de l'argument 'page' de la barre d'adresse. More...

## Public Member Functions

| render ()
| Génère le code HTML de la page désirée, enfonction du terminal.
| route ()
| Charge les données de la barre d'adresse.

## Static Public Member Functions

static | init ()
| Instancie le contrôleur et charge les données de la barre d'adresse.
static | get ()
| Récupère le contrôleur utilisé.

## Detailed Description

Gère l'affichage des pages en fonction de l'argument 'page' de la barre d'adresse.

Note:
  définit également la structure de la page (<head>)

## Member Function Documentation

static get | ( |  | ) | `[static]`

Récupère le contrôleur utilisé.

Returns:
  controller

Warning:
  Si le contrôleur n'a pas été instancié, renverra null

static init | ( |  | ) | `[static]`

Instancie le contrôleur et charge les données de la barre d'adresse.

Note:
  Si le contrôleur a déja été instancié, cette methode executera uniquement route()

render | ( |  | ) |

Génère le code HTML de la page désirée, enfonction du terminal.

Note:
  le contrôleur doit avoir été instancié et être routé

route | ( |  | ) |

Charge les données de la barre d'adresse.

Charge les vars $currpage_code, $currpage_title, $currpage_url correspondant à la page en cours grace au param 'page'

The documentation for this class was generated from the following file:

- /var/www/Burger-ct-glf/controller.php